#ifndef CMWVIEWWORKTABLE_H
#define CMWVIEWWORKTABLE_H

#include "cmwidget.h"

namespace Ui {
class CMWViewWorkTable;
}

class CMWViewWorkTable : public CMWidget
{
    Q_OBJECT

public:
    explicit CMWViewWorkTable(QWidget *parent = 0);
    ~CMWViewWorkTable();
    void MInit();
    void resizeEvent(QResizeEvent *);
    void MFresh();
    void MTimeFresh();

    void setCurrentTabIndex(int iTab);
	void setResizeTabIndex(int iTab);
	void setKerfStyle(bool bKerf, int iSide);
	void setHalfcutKerfStyle(bool bKerf, int iSide);
private:
    Ui::CMWViewWorkTable *ui;
};

#endif // CMWVIEWWORKTABLE_H
